> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Auth

> This endpoint allows you to connect your auth account to a Snag account



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/{authType}/auth
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/{authType}/auth:
    get:
      tags:
        - Identity
      summary: Connect Auth
      description: This endpoint allows you to connect your auth account to a Snag account
      parameters:
        - name: authType
          in: path
          required: true
          schema:
            type: string
            enum:
              - twitter
              - discord
              - telegram
              - epic
              - steam
              - ultra
              - google
              - tiktok
              - email
              - reddit
              - instagram
              - github
        - name: websiteId
          in: query
          description: The ID of the website
          schema:
            type: string
            format: uuid
            title: Website ID
            example: 123e4567-e89b-12d3-a456-426614174000
        - name: userId
          in: query
          description: The ID of the user
          schema:
            type: string
            format: uuid
            title: User ID
            example: 123e4567-e89b-12d3-a456-426614174001
        - name: walletAddress
          in: query
          description: The wallet address of the user
          schema:
            type: string
            title: Wallet Address
            example: '0x1234567890abcdef1234567890abcdef12345678'
        - name: redirect
          in: query
          description: The redirect URL where the user will land after completing the auth
          schema:
            type: string
            title: Redirect
            example: https://example.com
        - name: responseType
          in: query
          description: >-
            The type of response to return, this is not valid for email auth,
            email auth only supports the redirect flow via verification link.
          schema:
            default: redirect
            type: string
            enum:
              - redirect
              - json
            title: Response Type
            example: redirect
        - name: skipYTChannelCheck
          in: query
          description: >-
            Whether to skip the YouTube channel check, this is only value for
            google auth
          schema:
            default: 'true'
            type: string
            title: Skip YouTube Channel Check
            example: false
        - name: emailAddress
          in: query
          description: The email address of the user, this is only required for email auth
          schema:
            type: string
            format: email
            title: Email Address
            example: elonmusk@example.com
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                    title: URL
                    description: The URL to redirect to.
                    example: https://example.com
                required:
                  - url
                title: Connect Social Auth Response Schema
                description: Schema for a connect social auth response schema
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````